%global _missing_build_ids_terminate_build 0
%define debug_package %{nil}

Name:		pam_ru_become
Version:	1.2.2
Release:	6.ru6
Group:		System Environment/Base
License:        Rutgers
Source:		pam_ru_become-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	pam-devel

Summary:        Rutgers PAM module for become accounts

%description
This package provide PAM authentication for Rutgers become accounts.

%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}

%{__install} -d %{buildroot}/%{_lib}/security
%{__install} -m 0755 pam_ru_become.so %{buildroot}/%{_lib}/security/

%{__install} -d %{buildroot}%{_mandir}/man8
%{__install} -m 0644 pam_ru_become.8 %{buildroot}%{_mandir}/man8/

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc TODO
/%{_lib}/security/pam_ru_become.so
%{_mandir}/man8/pam_ru_become.8*

%changelog
* Mon Jun 10 2013 Matt Robinson <mwr54@nbcs.rutgers.edu> - 1.2.2-6.ru6
- parity with solaris

* Thu Feb 19 2013 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.2.2-5.ru
- Bumped to version 1.2.2 (better debugging output)
* Mon Feb 13 2012 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.2.1-3.ru
- Fixed description

* Thu Jan 21 2010 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.2.1-2.ru
- Corrected man page

* Tue Jan 19 2010 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.2.1-1.ru
- Fixed return value for getgrnam_ru function

* Tue Sep 01 2009 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.2-3.ru
- Made some changes to the man page and the sample configuration file

* Tue Aug 11 2009 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.2-2.ru
- Made some changes to the man page

* Wed Jul 29 2009 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.2-1.ru
- Version 1.2 adds "unbecome" mode and includes some fixes and a manpage

* Tue Oct 14 2008 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.1-1
- A user is now able to login normally if his/her password contains a ':'

* Thu Jul 17 2008 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.0-1
- Initial build for CentOS 5
